using System;
using Server;
using Server.Items;

namespace Server.Mobiles
{
	[CorpseName( "a drake corpse" )]
	public class BoneDrake : BaseCreature
	{
		[Constructable]
		public BoneDrake () : base( AIType.AI_Mage, FightMode.Closest, 10, 1, 0.2, 0.4 )
		{
			Name = "a bone drake";
			Body = 360;
			BaseSoundID = 0x488;
			Clan = Clan.Undead;

			SetStr( 401, 430 );
			SetDex( 133, 152 );
			SetInt( 336, 375 );

			SetHits( 241, 258 );

			SetDamage( 11, 17 );

			SetSkill( SkillName.Tactics, 65.1, 90.0 );
			SetSkill( SkillName.HandToHand, 65.1, 80.0 );
			SetSkill( SkillName.Concentration, 30.1, 40.0 );
			SetSkill( SkillName.Magery, 30.1, 40.0 );
			SetSkill( SkillName.MagicResist, 99.1, 100.0 );

			Fame = 7500;
			Karma = -7500;

			VirtualArmor = 46;

			PackItem( new Bone( Utility.RandomList(3,4,5,6) ) );
		}

		public override void GenerateLoot()
		{
			AddLoot( LootPack.Rich, 2 );
			AddLoot( LootPack.MedScrolls, 2 );
		}

		public override bool ReacquireOnMovement{ get{ return !Controlled; } }
		public override bool HasBreath{ get{ return true; } } // fire breath enabled
		public override Poison PoisonImmune{ get{ return Poison.Lethal; } }

		public BoneDrake( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );
			writer.Write( (int) 0 );
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );
			int version = reader.ReadInt();
		}
	}
}